org.jboss.netty.handler.codec.compression

## Enum ZlibWrapper

- java.lang.Object
- - java.lang.Enum<ZlibWrapper>
  - - org.jboss.netty.handler.codec.compression.ZlibWrapper

All Implemented Interfaces:
  Serializable, Comparable<ZlibWrapper>

    public enum ZlibWrapper
    extends Enum<ZlibWrapper>

The container file formats that wrap the stream compressed by the DEFLATE algorithm.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GZIP` The GZIP wrapper as specified in RFC 1952.
`NONE` Raw DEFLATE stream only (no header and no footer).
`ZLIB` The ZLIB wrapper as specified in RFC 1950.
`ZLIB_OR_NONE` Try `ZLIB` first and then `NONE` if the first attempt fails.

### Method Summary

Methods
`static ZlibWrapper` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ZlibWrapper[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ZLIB

    public static final ZlibWrapper ZLIB

The ZLIB wrapper as specified in RFC 1950.

#### GZIP

    public static final ZlibWrapper GZIP

The GZIP wrapper as specified in RFC 1952.

#### NONE

    public static final ZlibWrapper NONE

Raw DEFLATE stream only (no header and no footer).

#### ZLIB_OR_NONE

    public static final ZlibWrapper ZLIB_OR_NONE

Try `ZLIB` first and then `NONE` if the first attempt fails. Please note that you can specify this wrapper type only when decompressing.

### Method Detail

#### values

    public static ZlibWrapper[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ZlibWrapper c : ZlibWrapper.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ZlibWrapper valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null